package net.northking.cctp.mobile.db.service;

import net.northking.cctp.mobile.dto.device.DeviceUiTreeDto;
import net.northking.cctp.mobile.entity.UpperWSResponse;
import net.northking.cctp.mobile.entity.WSRequest;

import javax.websocket.Session;
import java.util.List;

public interface MobileConnectService {

    //处理前端消息
    void processWebMsg(String toJson, String deviceId);

    String getDeviceIdByToken(String deviceToken);


    String getUiTree(DeviceUiTreeDto dto);


    void prepareConnectionEnvironment(String sessionId, Session session, String deviceToken, String deviceId, String userToken,String mode);

    void closeMobileConnection(String deviceId);

    void releaseUsingDevice(String deviceId, String deviceToken);

}
